Bug 864871 - libvirt error: could not create appliance through libvirt: unable to set security context 'unconfined_u:object_r:svirt_image_t:s0:cXXX,cYYY' on '.../console.sock'
libvirt error: could not create appliance through libvirt: unable to set secu...
Status: CLOSED WORKSFORME
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 06:25 EDT by Richard W.M. Jones
Modified: 2013-03-06 06:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 06:42:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-10-10 06:25:15 EDT
Description of problem:

Errors such as:

could not create appliance through libvirt: unable to set security context 'unconfined_u:object_r:svirt_image_t:s0:c114,c690' on '/tmp/whenjobs4dd17406bcb80d1544f4dc7708c03ebc/libguestfs-1.19.49/tmp/M9ZRm53mhB/libguestfs56NJGt/console.sock': No such file or directory [code=38 domain=24] at /tmp/whenjobs4dd17406bcb80d1544f4dc7708c03ebc/libguestfs-1.19.49/tests/protocol/test-launch-race.pl line 41.
could not create appliance through libvirt: unable to set security context 'unconfined_u:object_r:svirt_image_t:s0:c165,c590' on '/tmp/whenjobs4dd17406bcb80d1544f4dc7708c03ebc/libguestfs-1.19.49/tmp/M9ZRm53mhB/libguestfsnPrxFt/console.sock': No such file or directory [code=38 domain=24] at /tmp/whenjobs4dd17406bcb80d1544f4dc7708c03ebc/libguestfs-1.19.49/tests/protocol/test-launch-race.pl line 47.

There is a complete libvirtd log file in this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=864427

We believe this is probably a bug in libguestfs.

Version-Release number of selected component (if applicable):

libguestfs 1.19.49
SELinux enforcing (possibly also happens with permissive)

How reproducible:

Rare.

Steps to Reproduce:
1. Unknown, hard to reproduce.
Comment 1 Richard W.M. Jones 2012-12-03 12:25:28 EST
I believe this really is some sort of permission problem
with SELinux.  It's easy to reproduce on a newly installed
F18 machine.
Comment 2 Richard W.M. Jones 2013-03-06 06:42:28 EST
Everything working for me in the current version of Fedora 18.

Note You need to log in before you can comment on or make changes to this bug.